Bug 757141 - RFE: filter non-ghost-in-var-(lock|run)
RFE: filter non-ghost-in-var-(lock|run)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-25 10:04 EST by Paul Howarth
Modified: 2011-12-22 17:44 EST (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-1.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-22 17:38:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2011-11-25 10:04:24 EST
I believe that the non-ghost-in-var-(lock|run) checks should only complain about files, not directories. If a directory is marked %ghost then it will not be created at rpm install time and if the package depends on a tmpfiles.d snippet to get the directory created then the package probably won't work until after a reboot.

Upstream says that guidelines vary between distros and suggest filtering this one downstream:

http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/245
Comment 1 Ville Skyttä 2011-11-25 12:45:46 EST
Yep, I directed Paul here, and I believe the filtering should be done in configs targeted at Fedora versions that have tmpfs /var/lock and /var/run (I suppose there's no such EL release out yet).
Comment 2 Fedora Update System 2011-12-05 14:48:09 EST
rpmlint-1.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpmlint-1.4-1.fc15
Comment 3 Fedora Update System 2011-12-05 14:48:16 EST
rpmlint-1.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpmlint-1.4-1.fc16
Comment 4 Fedora Update System 2011-12-10 14:38:16 EST
Package rpmlint-1.4-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.4-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16851/rpmlint-1.4-1.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-12-22 17:38:40 EST
rpmlint-1.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-12-22 17:44:09 EST
rpmlint-1.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.